Bug 1010072 - errata may not correctly link to packages if you used --no-packages option
errata may not correctly link to packages if you used --no-packages option
Status: CLOSED DEFERRED
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
560
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2013-09-19 17:13 EDT by Stephen Herr
Modified: 2018-04-09 05:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-09 05:16:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2013-09-19 17:13:37 EDT
Description of problem:
You can permanently break your errata -> package linkage (which makes the errata not applicable to any of your systems) by doing somewhat silly but still valid operations with satellite-sync. 

Version-Release number of selected component (if applicable):
5.5

How reproducible:
always

Steps to Reproduce:
0. for a channel you have not previously synced:
1. satellite-sync -c <channel> --no-packages
2. observe that the errata were synced and if you click on one you will see that it is relevant to no packages. This makes sense, because you specifically told it not to download package data so there's nothing to link to.
3. satellite-sync -c <channel>

Actual results:
The errata *still* are not linked to any packages, even though the package data is now present on the Satellite.

Expected results:
All the data required to link errata and packages is now present, so they should be linked.

Additional info:
The erratum -> package linking step happens during the errata import. Because the errata are already present if you follow these steps, that step does not happen again so the errata -> package linking never happens. Instead satellite-sync should know enough to re-import any erratum as necessary.

Also note that 'satellite-sync -c <channel> --force-all-errata' fixes it.
Comment 1 Clifford Perry 2013-10-03 05:41:50 EDT
(In reply to Stephen Herr from comment #0)

> Also note that 'satellite-sync -c <channel> --force-all-errata' fixes it.

Basically - this is how someone would 'fix' themselves if they choose no-packages, vs no-rpms.

I do not consider this a high priority. I suspect if we made sat-sync, without --force-all-errata or --force-all-packages option, to self-heal, it will slow down performance significantly as it makes a lot of extra checks as it processes sat-sync data.
Comment 3 Tomas Lestach 2018-04-09 05:16:42 EDT
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This is a low priority bug and has no currently open customer cases. While this bug may still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. As such, this is being CLOSED DEFERRED. 

Closing now to help set customer expectations as early as possible. You are welcome to re-open this bug if needed.

Note You need to log in before you can comment on or make changes to this bug.